//index.js
//获取应用实例
const app = getApp()

Page({
  data: {
    videoBackgroundUrl:'../../images/background.jpg',
    displayBackground:true,
    motto: 'Hello World',
    userInfo: {},
    hasUserInfo: false,
    canIUse: wx.canIUse('button.open-type.getUserInfo')
  },
  //事件处理函数
  bindViewTap: function() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  sendRedpacket(){
    console.log('发发发发')
  },
  startVideo(){
    this.setData({
      displayBackground:false
    })
    this.videoContext.play()
  },
  onLoad: function () {
    this.videoContext = wx.createVideoContext('myVideo')
    wx.setNavigationBarColor({
      frontColor: '#000000',
      backgroundColor: '#f6c173',
    })
  },
  getUserInfo: function(e) {
    console.log(e)
    app.globalData.userInfo = e.detail.userInfo
    this.setData({
      userInfo: e.detail.userInfo,
      hasUserInfo: true
    })
  }
})
